### Function

# Camel filter_search_match_with_log

#### Declaration [src]

    gint
    camel_filter_search_match_with_log (
      _CamelSession* session,
      CamelFilterSearchGetMessageFunc get_message,
      gpointer user_data,
      CamelMessageInfo* info,
      const gchar* source,
      _CamelFolder* folder,
      const gchar* expression,
      FILE* logfile,
      GCancellable* cancellable,
      GError** error
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`session`

  Type: `_CamelSession*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`get_message`

  Type: `CamelFilterSearchGetMessageFunc`

  Function to retrieve the message if necessary.

`user_data`

  Type: `gpointer`

  Data for above.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`info`

  Type: `CamelMessageInfo`

  No description available.

  The data is owned by the caller of the function.

`source`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`folder`

  Type: `_CamelFolder*`

  In which folder the message is stored.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`expression`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`logfile`

  Type: `FILE*`

  An optional log file to write logging information to, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

One of CAMEL_SEARCH_MATCHED, CAMEL_SEARCH_NOMATCH, or CAMEL_SEARCH_ERROR.

Since 3.24.